package com.sales;

import org.apache.hadoop.io.LongWritable;
import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Mapper;
import java.io.IOException;

public final class SalesMapper extends Mapper<LongWritable, Text, Text, Text>
{
	private final Text category = new Text();
	public final void map(final LongWritable key, final Text value, final Context context) throws IOException, InterruptedException
	{
		final String line = value.toString();
//		224.99	USD	Bestbuy.com	Samsung	2018-05-28T23:46:50Z	2018-06-13T20:10:22Z	Samsung - 850 PRO 512GB Internal SATA III Solid State Drive for Laptops

		final String[] data = line.trim().split("\t");
//		data[0]= prices
//		data[1]= currency
//		data[2]= merchant
//		data[3]= brand
//		data[4]= dateAdded
//		data[5]= dateUpdated
//		data[6]= name

		if (data.length >= 1)
		{
			final String brand = data[3];
			final String price = data[0];

			context.write(new Text(brand), new Text(price));
//			(Samsung,224.99) 	output to reducer

		}
	}
}