package com.sales;

import org.apache.hadoop.io.Text;
import org.apache.hadoop.mapreduce.Reducer;
import java.io.IOException;

public final class SalesReducer extends Reducer<Text, Text, Text, Text>
{
	public final void reduce(final Text key, final Iterable<Text> values, final Context context) throws IOException, InterruptedException
	{

// 		Samsung		224.99, 499.99, 399.99, 499.99
		double sum = 0.0;
		long count = 0;

		for (Text value : values) {
			sum += (Double.parseDouble(value.toString())); 	// You could get a NumberFormatException
			sum = (int)(Math.round(sum * 100))/100.0;		// keep two digit after decimal
			count++;										// count increase
		}

		context.write(key, new Text(" \t TotalPrice: "+sum+ " \t TotalCount: "+count));
//		Samsung		TotalPrice: 1624.96		TotalCount: 4

	}
}